package NumericalIntegration;

public class MonteCarloIntegrator extends Integrator{
	
	MonteCarloIntegrator(int pieces)
	{
		n= pieces;
	}
	
	public double Integrate(Function f, double x0, double x1)
	{
		double sum = 0;
		for (int i = 0; i<n; ++i)
		{
			double x = x0 + Math.random()*(x1-x0);
			sum += f.Evaluate(x);
		}
		return (x1-x0)*sum/n;
	}
}
