package hardyCross;

public class Pump extends Edge{
	double headLoss;

	public Pump(String id, double initialFlow, double HeadGain)
	{
		super(id, initialFlow); // call constructor of Edge
		headLoss = -HeadGain;
	}


	public double HeadLoss(double flow) {
		return headLoss;
	}
	
	public double HeadLossDerivative(double flow)
	{
		return 0;
	}

	public void print() {
		super.print();
		System.out.println("Pump.");
	}

}
