package NumericalIntegration;

public class RectangleIntegrator extends Integrator {	

	
	RectangleIntegrator(int pieces)
	{
		n= pieces;
	}
	
	public double Integrate(Function f, double x0, double x1)
	{
		double sum = 0;
		double width=(x1-x0)/n;
		for (int i = 0; i<n; ++i)
		{
			double x = x0 + (i+0.5)*width;
			double y = f.Evaluate(x);
			sum += y*width;
		}
		return sum;
	}

}
