package NumericalIntegration;

public class TrapezoidalIntegrator extends Integrator{
	TrapezoidalIntegrator(int pieces)
	{
		n= pieces;
	}
	
	public double Integrate(Function f, double x0, double x1)
	{
		double sum = 0;
		double width=(x1-x0)/n;
		for (int i = 0; i<n; ++i)
		{
			double x = x0 + i*width;
			double y = f.Evaluate(x)+f.Evaluate(x+width);
			sum += y*width/2;
		}
		return sum;
	}
}
