package hardyCross;

public class Test {
	public static void main(String[] args)
	{
		Setup setup = new Setup();
		Edge p12 = setup.AddEdge(new Pipe("12",10, 1.0));
		Edge p23 = setup.AddEdge(new Pipe("23",0, 1.0));
		Edge p13 = setup.AddEdge(new Pipe("13",0, 5.0));
		Edge p24 = setup.AddEdge(new Pipe("24",10, 5.0));
		//Edge p34 = graph.AddEdge(new Pipe("34",0, 1.0));
		//Edge p34 = graph.AddEdge(new Valve("34",0, 10.0));
		Edge p34 = setup.AddEdge(new Pump("34",0, 12.0));
		Loop l1 = setup.AddLoop(new Loop());
		l1.Add(p12,1);
		l1.Add(p23,1);
		l1.Add(p13,-1);		
		Loop l2 = setup.AddLoop(new Loop());
		l2.Add(p24,1);
		l2.Add(p34, -1);
		l2.Add(p23, -1);
		System.out.println("Pipe network initial setup:");
		setup.print();
		if (!setup.compute(0.001))
			System.err.println("Could not compute.");
		else
			System.out.println("Pipe network computation finished:");
		setup.print();
	}
}
